Bug 1125779 - [Build 20190215] autoyast profile doesn't validate when cloning the system
[Build 20190215] autoyast profile doesn't validate when cloning the system
Status: VERIFIED FIXED
: 1126222 (view as bug list)
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: AutoYaST
Current
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Stefan Schubert
E-mail List
https://trello.com/c/VIL7pOjh/731-rfc...
https://openqa.opensuse.org/tests/857...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-18 13:02 UTC by Rodion Iafarov
Modified: 2019-04-05 09:50 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: Yes
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rodion Iafarov 2019-02-18 13:02:52 UTC
## Observation

jing output is: 
/root/autoinst.xml:1126:22: error: element "btrfs_subvolume" not allowed here; expected the element end-tag or element "expire", "group", "groups", "home", "inactive", "no_groups", "shell", "skel" or "umask"
j3GQc-1-

Please, find AY profile in the attachment.

yast2-schema version is 4.1.3-1.1

openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-clone_system@64bit fails in
[yast2_clone_system](https://openqa.opensuse.org/tests/857417/modules/yast2_clone_system/steps/35)

## Test suite description
Maintainer: okurz@suse.de
Clone the system into an autoyast profile to be used by downstream jobs, e.g. to test reinstall from that profile.


## Reproducible

Fails since (at least) Build [20190215](https://openqa.opensuse.org/tests/855916)


## Expected result

Last good: [20190214](https://openqa.opensuse.org/tests/854840) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?version=Tumbleweed&test=clone_system&arch=x86_64&distri=opensuse&machine=64bit&flavor=DVD)
Comment 1 David Diaz 2019-02-18 17:06:46 UTC
This is a bug related to the missing AutoYaST support for the `btrfs_subvolume` option added with the implementation of fate#316134.

Tracking it in our Trello board.

Thank you, Rodion.
Comment 3 David Diaz 2019-02-21 10:02:15 UTC
*** Bug 1126222 has been marked as a duplicate of this bug. ***
Comment 4 Oliver Kurz 2019-03-05 09:26:58 UTC
Setting as "Blocker" as we have quite some current tests (SLE as well) that are blocked by this bug, e.g. also https://openqa.suse.de/tests/2517269#step/yast2_clone_system/38
Comment 5 Lukas Ocilka 2019-03-05 10:32:08 UTC
Schubi works on that already, don't worry :)
Comment 6 Stefan Schubert 2019-03-05 16:14:42 UTC
The PR is waiting for review:
https://github.com/yast/yast-users/pull/197
Comment 7 Stefan Schubert 2019-03-06 13:11:56 UTC
Submitted.
Comment 9 Oliver Kurz 2019-03-13 09:34:19 UTC
Seems like fixed in https://github.com/yast/yast-users/pull/199 so

* https://build.opensuse.org/request/show/682153
* https://build.suse.de/request/show/186343

both accepted 6 days ago so recent builds should have it. However openQA tests still/again fail in autoyast validation, e.g. https://openqa.suse.de/tests/2536685#step/yast2_clone_system/38

@riafarov open another bug or reopen?
Comment 10 Stefan Schubert 2019-03-13 09:44:42 UTC
(In reply to Oliver Kurz from comment #9)
> Seems like fixed in https://github.com/yast/yast-users/pull/199 so
> 
> * https://build.opensuse.org/request/show/682153
> * https://build.suse.de/request/show/186343
> 
> both accepted 6 days ago so recent builds should have it. However openQA
> tests still/again fail in autoyast validation, e.g.
> https://openqa.suse.de/tests/2536685#step/yast2_clone_system/38
> 
> @riafarov open another bug or reopen?

None :-)
I have fixed this yesterday:
-------------------------------------------------------------------
Mon Mar 11 16:22:01 CET 2019 - schubi@suse.de

- Added tag home_btrfs_subvolume to *.rnc file (bsc#1128707)
- Improved error message layout while creating btrfs subvolumes.
- 4.1.11
Comment 11 Rodion Iafarov 2019-03-15 12:22:36 UTC
This particular issue is fixed, now have a problem with SLES 15 SP1: /usr/share/YaST2/schema/autoyast/rng/bootloader.rng:118:28: error: the element "smt" from namespace "http://www.suse.com/1.0/yast2ns" can occur in more than one operand of "interleave"
Comment 12 Rodion Iafarov 2019-04-05 09:50:23 UTC
TW 20190402
SLE 15 206.1 

Thanks for the patch.